Read Flow Run Graph V2
curl --request GET \
--url https://api.example.com/flow_runs/{id}/graph-v2import requests
url = "https://api.example.com/flow_runs/{id}/graph-v2"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/flow_runs/{id}/graph-v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"root_node_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"nodes": [
[
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
],
"artifacts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": "2023-11-07T05:31:56Z",
"key": "<string>",
"type": "<string>",
"is_latest": true,
"data": null
}
],
"states": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z",
"name": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Flow Runs
Read Flow Run Graph V2
Get a graph of the tasks and subflow runs for the given flow run
GET
/
flow_runs
/
{id}
/
graph-v2
Read Flow Run Graph V2
Headers
Path Parameters
The flow run id
Query Parameters
Only include runs that start or end after this time.
Response
Successful Response
Was this page helpful?
⌘I